Change log for wm2 package in Ubuntu

111 of 11 results
Published in groovy-release on 2020-04-24
Published in focal-release on 2020-03-23
Deleted in focal-proposed (Reason: moved to Release)
wm2 (4+svn20090216-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <email address hidden>  Sun, 22 Mar 2020 17:03:15 +0100
Superseded in focal-release on 2020-03-23
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed (Reason: moved to release)
wm2 (4+svn20090216-4) unstable; urgency=medium

  * modernize debian packaging
  - use dpkg includes, set hardening=+all
  - debhelper compatibility level up to 12
  - remove outdated Vcs headers

 -- Bernhard R. Link <email address hidden>  Sun, 27 Jan 2019 20:08:55 +0100
Superseded in disco-release on 2019-01-28
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2018-04-05
Deleted in bionic-proposed (Reason: moved to release)
wm2 (4+svn20090216-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <email address hidden>  Tue, 03 Apr 2018 12:50:30 +0000
Superseded in bionic-release on 2018-04-05
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-12-02
Deleted in trusty-proposed (Reason: moved to release)
wm2 (4+svn20090216-3) unstable; urgency=medium


  * modernize debian packaging
  - support dpkg-buildflags
  - debhelper compatibility level up to 8
  - bump Standards-Version to 3.9.4
  - update Vcs headers

 -- Bernhard R. Link <email address hidden>  Sun, 01 Dec 2013 18:46:26 +0100
Superseded in trusty-release on 2013-12-02
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
wm2 (4+svn20090216-2) unstable; urgency=low

  * switch to "3.0 (quilt)" format
  * bump Standards-Version to 3.8.3
  * fix debian/watch
  * add Vcs- headers
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  18 Jan 2010 07:34:24 +0000
Superseded in lucid-release on 2010-01-19
Obsolete in karmic-release on 2013-03-04
wm2 (4+svn20090216-1) unstable; urgency=low

  * upgrade to Debian policy 3.8.0
  * build-depend on x11proto-core-dev instead of x-dev (Closes: 515493)
  * new .orig.tar.gz tarball extracted from upstream's SVN.
  * move most functional modifications to debian/rules

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  29 Apr 2009 12:16:10 +0100

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
wm2 (4-10) unstable; urgency=low

  * modernize debian/rules (build-arch, dh_install, don't ignore make clean errors)
  * drop pre-sarge compatibility build-dependencies
  * dump standards version to 3.7.2 (no changes needed)
  * update to new menu layout
  * add homepage field to debian/control

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  05 Dec 2007 00:30:28 +0000
4-9
Superseded in hardy-release on 2007-12-05
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
wm2 (4-9) unstable; urgency=low


  * repack using debhelper compat level 4
    (to get rid of lintian warning against level 1)
  * rebuild will fix place menu files are placed

 -- Bernhard R. Link <email address hidden>  Thu,  1 Dec 2005 22:17:50 +0100
Obsolete in breezy-release on 2008-03-25
wm2 (4-8build1) breezy; urgency=low


  * Rebuild for new C++ ABI

 -- Matthias Klose <email address hidden>  Tue, 28 Jun 2005 09:12:20 +0000
4-8
Obsolete in hoary-release on 2008-03-19
wm2 (4-8) unstable; urgency=low


  * Adopted build-depends to xlib split
  * switch from dh_installmanpages to dh_installman
  * updated to new standards version: no changes needed

 -- Bernhard R. Link <email address hidden>  Fri, 10 Dec 2004 22:17:13 +0100
4-7
Obsolete in warty-release on 2008-01-09
wm2 (4-7) unstable; urgency=low


  * Now with the correct new Maintainer-field.
  * Exiting wm2 no longer hangs till next event.
  * added recommends to x-terminal-emulator.
  * removed unused code generating warnings on ia64 and alpha.

 -- Bernhard R. Link <email address hidden>  Sun,  1 Jun 2003 14:28:58 +0200
111 of 11 results